Subject: bug#59017: 28.2; Searching using nnir stopped

From: Waleed Yousef <[email-masked]>
Date: Sun, 6 Nov 2022 09:03:41 -0800

Great; thanks so much.

On a side note, this means that I have always to keep reading the release update. This is a lot of time waste. Why there is no backward compatibility?

> On Nov 6, 2022, at 7:03 AM, Eric Abrahamsen <[email-masked]> wrote:
> 
> Waleed Yousef <[email-masked]> writes:
> 
>> I used to use namazu as the search engine inside gnus. All of a sudden,
>> it is no longer working. Probably, this is after I started using
>> spacemacs. But nothing changed. This is my configurations:
>> 
>> (require 'nnir)
>> (setq nnir-method-default-engines '((nnml . namazu)))
>> (setq nnir-namazu-index-directory (expand-file-name "~/.namazu-mail"))
>> (setq nnir-namazu-remove-prefix "/home/wyousef/Mail/")
> 
> nnir has been replaced by gnus-search in Emacs 28 -- this configuration
> should get you obsolete variable warnings. Replacement config is pretty
> direct:
> 
> (setq gnus-search-default-engines '((nnml . namazu)))
> (setq gnus-search-namazu-index-directory (expand-file-name "~/.namazu-mail"))
> (setq gnus-search-namazu-remove-prefix "/home/wyousef/Mail/")
> 
> Try that...